| Home | Libraries | People | FAQ | More

##### flatten

###### Description

Returns the result type of `flatten`, given the input sequence type.

###### Synopsis

    template<
        typename Sequence
        >
    struct flatten
    {
        typedef unspecified type;
    };

Table 1.105. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A model of Forward Sequence | Operation's argument

###### Expression Semantics

    result_of::flatten<Sequence>::type

Return type:

- A model of Forward Sequence.

Semantics: Returns a sequence with all the leaf elements of `Sequence`.

###### Complexity

Constant.

###### Header

    #include <boost/fusion/algorithm/transformation/flatten.hpp>
    #include <boost/fusion/include/flatten.hpp>